org.eclipse.microprofile.config.spi

## Interface ConfigSourceProvider

    public interface ConfigSourceProvider

A provider for configuration source instances.

Implementations of this interface may supply zero or more configuration source instances for a given application (as defined by the application's `ClassLoader`).

Instances of this interface will be discovered via the `ServiceLoader` mechanism and can be registered by providing a `META-INF/services/org.eclipse.microprofile.config.spi.ConfigSourceProvider` resource which contains the fully qualified class name of the custom `ConfigSourceProvider` implementation.

Author:
  Mark Struberg, Gerhard Petracek, Emily Jiang

### Method Summary

All Methods Instance Methods Abstract Methods
`Iterable<ConfigSource>` `getConfigSources(ClassLoader forClassLoader)` Return the `ConfigSource` instances that are provided by this provider.

### Method Detail

#### getConfigSources

    Iterable<ConfigSource> getConfigSources(ClassLoader forClassLoader)

Return the `ConfigSource` instances that are provided by this provider. The `Iterable` contains a fixed number of configuration sources, determined at application start time, and the config sources themselves may be static or dynamic. An empty `Iterable` may be returned if no sources are to be provided.

Parameters:
  `forClassLoader` - the class loader which should be used for discovery and resource loading purposes
Returns:
  the `ConfigSource` instances to register to the configuration